From 52e181cc5b9299a8bccd35c40bd19d272c89d11d Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Thu, 15 Oct 2020 17:11:11 -0400
Subject: [PATCH 11/13] gnu: gajim-omemo: Upgrade to 2.7.9 and revise
 definition accordingly.

* gnu/packages/messaging.scm (gajim-omemo) [version]: Update to
2.7.9.
[source]<origin>[sha256]: Modify base32.
[propagated-inputs]: Add python-axolotl-curve25519, python-cryptography
and python-qrcode.
---
 gnu/packages/messaging.scm | 9 ++++++---
 1 file changed, 6 insertions(+), 3 deletions(-)

diff --git a/gnu/packages/messaging.scm b/gnu/packages/messaging.scm
index ed160f5733..8cd4631441 100644
--- a/gnu/packages/messaging.scm
+++ b/gnu/packages/messaging.scm
@@ -858,7 +858,7 @@ client.")
 (define-public gajim-omemo
   (package
     (name "gajim-omemo")
-    (version "2.7.7")
+    (version "2.7.9")
     (source
      (origin
        (method url-fetch/zipbomb)
@@ -867,7 +867,7 @@ client.")
          "https://ftp.gajim.org/plugins_releases/omemo_"
          version ".zip"))
        (sha256
-        (base32 "17jl4blkq04ag3g0har6z1bmk36523d29s51g260wb1pywfb536h"))))
+        (base32 "19si2v5yrxpn2m0f684npsg0iiyl2h3r5hbxyrxv4k3acmfmhb3z"))))
     (build-system trivial-build-system)
     (arguments
      `(#:modules ((guix build utils))
@@ -881,7 +881,10 @@ client.")
            (copy-recursively source share)
            #t))))
     (propagated-inputs
-     `(("python-axolotl" ,python-axolotl)))
+     `(("python-axolotl" ,python-axolotl)
+       ("python-axolotl-curve25519" ,python-axolotl-curve25519)
+       ("python-cryptography" ,python-cryptography)
+       ("python-qrcode" ,python-qrcode)))
     (synopsis "Gajim OMEMO plugin")
     (description "This package provides the Gajim OMEMO plugin.  OMEMO is an
 XMPP Extension Protocol (XEP) for secure multi-client end-to-end encryption
-- 
2.28.0

